﻿using Syncfusion.SfDataGrid;
using System;
using System.Collections.Generic;
using System.Text;
using UIKit;

namespace Grid_Image_Column
{
    public class ViewController : UIViewController
    {
        SfDataGrid SfGrid;
        public ViewController()
        {

            SfGrid = new SfDataGrid();
            SfGrid.AutoGenerateColumns = false;
            SfGrid.ItemsSource = new ViewModel().BankInfo;
            SfGrid.ColumnSizer = ColumnSizer.Star;

            GridImageColumn customerImageColumn = new GridImageColumn();
            customerImageColumn.MappingName = "CustomerImage";
            customerImageColumn.HeaderText = "Image";

            GridTextColumn isOpenColumn = new GridTextColumn();
            isOpenColumn.MappingName = "IsOpen";
            isOpenColumn.HeaderText = "Is Open";

            GridTextColumn balanceScaleColumn = new GridTextColumn();
            balanceScaleColumn.MappingName = "BalanceScale";
            balanceScaleColumn.HeaderText = "Balance Scale";

            GridTextColumn chartcell = new GridTextColumn();
            chartcell.MappingName = "Transactions";
            chartcell.HeaderText = "Transactions";

            GridTextColumn customerIdColumn = new GridTextColumn();
            customerIdColumn.MappingName = "CustomerID";
            customerIdColumn.HeaderText = "Customer ID";
            customerIdColumn.TextAlignment = UITextAlignment.Center;


            GridTextColumn currentColumn = new GridTextColumn();
            currentColumn.MappingName = "Current";
            currentColumn.TextAlignment = UITextAlignment.Center;

            GridTextColumn customerNameColumn = new GridTextColumn();
            customerNameColumn.MappingName = "CustomerName";
            customerNameColumn.HeaderText = "Customer Name";
            customerNameColumn.TextMargin = 10;
            customerNameColumn.TextAlignment = UITextAlignment.Left;

            GridTextColumn savingsColumn = new GridTextColumn();
            savingsColumn.MappingName = "Savings";
            savingsColumn.TextAlignment = UITextAlignment.Center;

            SfGrid.Columns.Add(chartcell);
            SfGrid.Columns.Add(customerImageColumn);
            SfGrid.Columns.Add(customerIdColumn);
            SfGrid.Columns.Add(currentColumn);
            SfGrid.Columns.Add(customerNameColumn);
            SfGrid.Columns.Add(savingsColumn);
            SfGrid.Columns.Add(balanceScaleColumn);
            SfGrid.Columns.Add(isOpenColumn);

            View.AddSubview(this.SfGrid);
        }

        public ViewController(IntPtr handle) : base(handle)
        {
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
            SfGrid.Frame = new CoreGraphics.CGRect(0, 0, View.Frame.Width, View.Frame.Height);
        }
    }
}

